Support » Plugin: 2FAS Prime β€” Two Factor Authentication » Method ReflectionParameter::getClass() is deprecated in PHP 8

  • Resolved OakwoodGates

    (@oakwoodgates)


    I want to report this error.

    PHP Deprecated: Method ReflectionParameter::getClass() is deprecated in /wp-content/plugins/2fas-light/vendor/php-di/php-di/src/Definition/Source/ReflectionBasedAutowiring.php on line 65

    Just to note, it looks like they have a beta3 release that supports PHP 8 – https://github.com/PHP-DI/PHP-DI/releases – and a milestone for the prod release – https://github.com/PHP-DI/PHP-DI/milestone/22

    Is this package needed in production? Is there a work-around for PHP 8? Thanks!

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author 2FAS

    (@2fas)

    Hi,

    We will upgrade this package in next release in our plugin (probably in the next week).

    Plugin Author 2FAS

    (@2fas)

    Hello again, we released version 3.3 witch includes updates for this issue, so you shouldn’t get this error.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Method ReflectionParameter::getClass() is deprecated in PHP 8’ is closed to new replies.